#pragma interface
#include <textlist.h>

class BufFile: public TextArray {
  Array<long> pos;
  long filesize;
  char eof;
  BufFile(const BufFile &);
  BufFile&operator=(const BufFile &);
protected:
  class bufio *io;
public:
  BufFile(const char *);
  BufFile();
  void open(int);
  ~BufFile();
  const char *operator[](int);
  long offsetOf(int);
  int size();
  int getfd() const;
  int ateof() const { return eof; }
  void reseteof() { eof = 0; }
  void rewind();
};
